Skip to main content

Gmail Send Raw Message

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.gmail_send_raw_message

Send a Gmail message using a base64url-encoded raw MIME message.

Request Body

{
"jsonrpc": "2.0",
"id": "google-gmail-send-raw-message-example",
"method": "tools/call",
"params": {
"name": "google.gmail_send_raw_message",
"arguments": {
"raw_base64": "raw_base64_example",
"thread_id": "thread_id_123"
}
}
}

Arguments Schema

{
"properties": {
"raw_base64": {
"type": "string"
},
"thread_id": {
"type": "string"
}
},
"required": [
"raw_base64"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-gmail-send-raw-message-example",
"method": "tools/call",
"params": {
"name": "google.gmail_send_raw_message",
"arguments": {
"raw_base64": "raw_base64_example",
"thread_id": "thread_id_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.gmail_send_raw_message executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}